<?php
/* Copyright (c) 2009 Arnaud Renevier, Inc, published under the modified BSD
   license. */

require_once ("./inc/settings.php");
require_once ("./inc/db/mysql.php");

try {
    $connection->connect (DBHOST, DBUSER, DBPWD, DBNAME, DBPREFIX);
} catch (Exception $e) {
}

$bbox = $connection->mbr ();
if (defined ("THUMBSMAXSIZE") && (THUMBSMAXSIZE > 0)) {
    $thumbsmaxsize = THUMBSMAXSIZE;
} else {
    $thumbsmaxsize = 400; // default value;
}
?>
<html lang="<?php echo $lang?>">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" >
    <title><?php echo defined ("SITETITLE") ? SITETITLE : "SYP"?></title>
    <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="news.php">
    <link rel="stylesheet" href="./openlayers/theme/default/style.css" type="text/css">
    <link rel="stylesheet" href="./media/syp.css" type="text/css">
    <style type="text/css">
        .olPopup p {
            <?php printf("width: %dpx;\n", $thumbsmaxsize)?>
        }
        .olPopup img {
            <?php printf("max-height: %dpx;\n", $thumbsmaxsize)?>
            <?php printf("max-width: %dpx;\n", $thumbsmaxsize)?>

            /* for IE (does not understand max-heigth max-width) */
            <?php printf("_height: expression((this.scrollHeight>this.scrollWidth) ? 
                 Math.min(parseInt(this.scrollHeight), %d ) + 'px' : 'auto');\n", $thumbsmaxsize)?>
            <?php printf("_width: expression((this.scrollWidth>this.scrollHeight) ? 
                 Math.min(parseInt(this.scrollWidth), %d ) + 'px' : 'auto');\n", $thumbsmaxsize)?>
        }
    </style>

    <script type="text/javascript">
        var SypStrings = {
            language: "<?php echo $lang ?>",
            propulsedByLink: "<?php ptrans('propulsed by <a href=\"http://syp.renevier.net\">syp</a>')?>",
            noImageRegistered: "<?php ptrans('There is no image registered on this site.')?>"
        };
        <?php
            printf ("var sypOrig = [%.18F, %.18F, %.18F, %.18F];\n",
                    $bbox [0], $bbox [1], $bbox [2], $bbox [3]);
        ?>
    </script>
    <script src="./openlayers/OpenLayers.js" type="text/javascript"></script>
    <script src="./js/syp.js" type="text/javascript"></script>

    <noscript>
    <style type="text/css">
        #map {
            display: none;
        }
    </style>
    </noscript>

    </head>

    <body onload="SYP.init();">

        <noscript>
            <p><?php ptrans('SYP needs javascript. Please activate scripts in your browser.')?></p>
        </noscript>

        <div id="map"></div>
        <div id="message"></div>

    <div id="bigimg_container">
    <div id="bigimg_transparency"></div>
        <div id="bigimg_content">
            <img id="bigimg" onclick="SYP.closeBigImage()">
            <img id="bigimg_close" alt="<?php ptrans('close')?>" 
                    src="openlayers/theme/default/img/close.gif" 
                    onclick="SYP.closeBigImage()">
        </div>
    </div>

</body>
</html>
